Bug 240174 - Review Request: perl-Text-TabularDisplay - Display text in formatted table output
Review Request: perl-Text-TabularDisplay - Display text in formatted table ou...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Text-Tabu...
:
Depends On:
Blocks: 240177
  Show dependency treegraph
 
Reported: 2007-05-15 12:40 EDT by Chris Weyl
Modified: 2010-09-02 17:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 19:37:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-15 12:40:21 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Text-TabularDisplay-1.22-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Text-TabularDisplay.spec

Description:
Text::TabularDisplay simplifies displaying textual data in a table. The
output is identical to the columnar display of query results in the mysql
text monitor. For example, this data:
Comment 1 Jason Tibbitts 2007-05-15 16:56:45 EDT
I only have one question:  The tests seem to need perl(Test) while you have a
build-time dependency on perl(Test::More).  At this point I'm not sure what the
plan is, but as is I'd wager that you have the wrong BuildRequire there.  Since
we chatted about this on IRC, I'll go ahead and approve this and you can check
in with the quick fix.

* source files match upstream:
   87856a053cccba8059c194da15300271ea800ab37c44e01f34612be4da962317  
   Text-TabularDisplay-1.22.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream (GPL statement is in the code itself)
* latest version is being packaged.
? BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Text::TabularDisplay) = 1.22
   perl-Text-TabularDisplay = 1.22-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(integer)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=15, Tests=83,  0 wallclock secs ( 0.20 cusr +  0.14 csys =  0.34 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2007-05-15 16:58:57 EDT
New Package CVS Request
=======================
Package Name: perl-Text-TabularDisplay
Short Description: Display text in formatted table output
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Chris Weyl 2007-05-16 19:37:07 EDT
Imported and building.  As always, thanks for the review! :)
Comment 4 Iain Arnell 2010-09-02 10:38:03 EDT
Package Change Request
======================
Package Name: perl-Text-TabularDisplay
New Branches: el6
Owners: iarnell tremble
Comment 5 Kevin Fenzi 2010-09-02 17:17:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.